Module javafx.base
Package javafx.beans.property

# Class ReadOnlyIntegerWrapper

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.IntegerExpression
javafx.beans.property.ReadOnlyIntegerProperty
javafx.beans.property.IntegerProperty
javafx.beans.property.IntegerPropertyBase
javafx.beans.property.SimpleIntegerProperty
javafx.beans.property.ReadOnlyIntegerWrapper

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableIntegerValue`, `WritableNumberValue`, `WritableValue<Number>`

public class ReadOnlyIntegerWrapper extends SimpleIntegerProperty
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyIntegerWrapper()`
  The constructor of `ReadOnlyIntegerWrapper`
  `ReadOnlyIntegerWrapper(int initialValue)`
  The constructor of `ReadOnlyIntegerWrapper`
  `ReadOnlyIntegerWrapper(Object bean, String name)`
  The constructor of `ReadOnlyIntegerWrapper`
  `ReadOnlyIntegerWrapper(Object bean, String name, int initialValue)`
  The constructor of `ReadOnlyIntegerWrapper`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadOnlyIntegerProperty`
  `getReadOnlyProperty()`
  Returns the readonly property, that is synchronized with this `ReadOnlyIntegerWrapper`.

  ### Methods declared in class javafx.beans.property.SimpleIntegerProperty

  `getBean, getName`

  ### Methods declared in class javafx.beans.property.IntegerPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.IntegerProperty

  `asObject, bindBidirectional, integerProperty, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyIntegerProperty

  `readOnlyIntegerProperty`

  ### Methods declared in class javafx.beans.binding.IntegerExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, integerExpression, integerExpression, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### ReadOnlyIntegerWrapper

    public ReadOnlyIntegerWrapper()
    The constructor of `ReadOnlyIntegerWrapper`

  - ### ReadOnlyIntegerWrapper

    public ReadOnlyIntegerWrapper(int initialValue)
    The constructor of `ReadOnlyIntegerWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlyIntegerWrapper

    public ReadOnlyIntegerWrapper(Object bean, String name)
    The constructor of `ReadOnlyIntegerWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyIntegerProperty`
      `name` - the name of this `ReadOnlyIntegerProperty`

  - ### ReadOnlyIntegerWrapper

    public ReadOnlyIntegerWrapper(Object bean, String name, int initialValue)
    The constructor of `ReadOnlyIntegerWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyIntegerProperty`
      `name` - the name of this `ReadOnlyIntegerProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlyIntegerProperty getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlyIntegerWrapper`.
    Returns:
      the readonly property